===============================================================================
        Intel(R) Server Platform Integrated BMC Firmware Release Notes       
===============================================================================


INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA


===============================================================================
DATE:       15 December, 2016


TO:         Intel(R) Server Board S1400xx, S1600xx, S2400xx, S2600xx, W2600xx,
            & S4600xx customers


SUBJECT:    Integrated BMC(R) firmware 01.48.10351 release notes


===============================================================================
                               LEGAL INFORMATION
===============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.


Intel is a registered trademark of Intel Corporation. 


*Other names and brands are the property of their respective owners.


Copyright (c) 2016 Intel Corporation.


A portion of this firmware is open source code.
The OSS source code that the customer is entitled to per OSS license has been
posted on the Intel support website at the following link:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=21081


This open source code falls under the GPL 2.0 license, please see the license
at the following link:

http://www.opensource.org/licenses/gpl-2.0.php  


===============================================================================
                            ABOUT THIS RELEASE PACKAGE
===============================================================================
Source file: BMC_i_0148r10351.bin
Update script: fwUpdateBMC.nsh

REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   01.48.10351

UBoot mode:         01.07
Device ID:          0x21
Manufacturer ID:    0x000157

Other version/revision information:
    PSU Model          H/W revision      FW Version
    1100ADU00201         S3               1.01.32
    1100ADU00201         S2               1.01.1E
    DPS 750XB A          S4               5.**.100 *(See Note 2)
    DPS 750AB-32A        S0               3.**.27  *(See Note 2)
    DPS 1200TB A         00               4.39.77 *(See Note 1)
    DPS 1200TB A         02               6.40.89 *(See Note 1)
    DPS 1200TB A         S3               3.39.77 *(See Note 1)
    PSSF162202A          00               0.09.73
    PSSF162202A          S3               0.09.55 *(See Note 1)
    PSSF222201A          S1               0.0.9
    PSSF222201A          S2               0.0.17
    PSSF222201A          S3               0.0.20
    PSSF222201A          S4               0.0.29
     
*NOTE 1: Supported but not POR for Grantley. Will likely be removed in a future release.
*NOTE 2: The middle version number is attached to a particular batch of power supplies and can be
         different for the same firmware revision. Therefore, it cannot be predicted ahead of
		 time what it will be. Validation should ignore this value.

HSBP FW:            01.27
Root:               01.48
WWW:                01.19
UBoot:              01.07
FWPIAUPD Utility:   v14_0_Build8

MD5 checksum of BMC_i_0148r10351.bin: adf322b60be3017ef1e7d62eb838e0c8

-------------------------------------------------------------------------------

A "Pong" version of the firmware image can be made available on request.

===============================================================================
                         IMPORTANT INSTALLATION NOTES
===============================================================================
The following update process must be followed to ensure a trouble free updating
of your baseboard.  The order is important to minimize any issues for status
checking as different components are initialized.
1. Manageability Engine (ME) firmware
2. Flash Descriptor (FD)  
3. BMC firmware
4. BIOS
5. FRU/SDR package specific to the baseboard

===============================================================================
                            INSTALLATION PROCEDURE
===============================================================================
- NOTE: if upgrading from BMC FW 0.19 or older, you first need to
  upgrade to 0.20 by using a device image file (.ima file) in a device programmer.
  Refer to the 0.20 firmware package for details and flash image files specific
  to each platform. After updating to 0.20, continue with the following steps.

  
1.  Copy the entire contents of the BMC_i_0148r10351.zip archive file to the
    storage medium of your choice. This can be a hard disk, floppy disk
    or USB flash drive.
    All of the files in the zip archive must reside in the same directory.


2.  Boot to EFI and then run the fwUpdateBMC.nsh script file to update the
    Integrated BMC.

    Modification of the update script or using fwpiaupd.efi with your own
    command line parameters is not supported and doing so is at your own risk!


3.  Install latest available FRU/SDR package specific to the platform.

===============================================================================
                     FIRMWARE RECOVERY PROCEDURE
===============================================================================
The Recovery process can be initiated by setting the recovery jumper (called 
BMC Force Update Jumper) to the recovery position.

The jumper is normally in the normal/de-asserted position. The system must be
completely powered off (A/C power removed) before the jumper is moved.

After power is re-applied and the firmware update is complete, the system must
be powered off again and the jumper must be returned to the de-asserted
position before normal operation can begin.

A BMC recovery can be accomplished from a USB flash drive. 
1.  Copy the entire contents of the BMC_i_0148r10351.zip archive file to the
    storage USB flash drive.
    All of the files in the zip archive must reside in the same directory.

2.  Remove A/C power from the system and wait 30 seconds.

3.  Move the BMC Force Update Jumper to the recovery position. 
    Details regarding the jumper ID and location can be obtained from the
    Board EPS for that Platform.

4.  Insert the USB flash drive.

5.  Reapply A/C power to the system and power on the system.

6.  The BIOS POST screen will appear displaying the progress press F6 to
    select boot options. At the boot option menu select to boot to the
    EFI SHELL.

7.  Switch to the directory where you stored the update files and then run
    the fwUpdateBMC.nsh script file to update the Integrated BMC.

    Modification of the update script with your own command line parameters is
    not supported and doing so is at your own risk!

8.  Remove A/C power from the system and wait 30 seconds.

9.  Move the BMC Force Update Jumper to the normal position.

10. Reapply A/C power to the system and power on the system.

NOTE: Performing this recovery procedure resets all network and user settings to defaults.
      The FRUSDR will also need to be reloaded after a recovery (SDR update).

===============================================================================
                     FIRMWARE UPGRADE/DOWNGRADE PROCEDURES
===============================================================================
Upgrade of BMC FW from version BMC_i_0148r10351 to later versions will be documented
in the release notes for those versions.

Reverting to a lower version of firmware may have unexpected side effects,
including but not limited to user settings reset to defaults, and will always
result in the loss of functionality which was present in the higher version
but was not implemented in the lower version.
We do not guarantee that any downgrade will operate without side-effects.

Always observe caution when downgrading firmware.

===============================================================================
                        KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
===============================================================================
- This BMC FW update package is to be used only on EPSD server baseboards and
  does NOT support customer reference boards (CRB) or silicon reference
  platforms (SRP) such as Rose City.
  Contact your PDT to determine where to download the BMC FW for these products.

- The BMC FW image file in this package is to be used only with the provided
  FWPIAUPD update utility.
  Using the FW image file with a SPI flash device programmer will result in a
  non-functional system.  

- Some open source ipmitools may automatically retry multiple times during access BMC 
  using bad password and supporting IPMI specification 1.5 in Linux OS. CCB310 will 
  log more bad password login SEL.

===============================================================================
                                ISSUES FIXED
===============================================================================
01.48.10351:
-EPSD100256480: [HPC] The fault LED of NvME SSD keep blinking on TLP 24HDD system after AC cycle
-EPSD100256247: [HPC] WCP system (LWT2224YXXXX221, LWT2224YXXXX129 ) will hang on post after AC cycle with Bios R16
-EPSD100255719:	APPSOL-31180: Web Server Vulnerable to Redirection Page Cross-Site Scripting Attacks
-EPSD100035907: The HDD fault LED no light and no rebuild event be logged when plug out the HDD from HSBP(G97158-371) and plug back the HDD to rebuild RAID.
-EPSD100256365:	[WCP]The NVMe HDD can not be detected in EWS web sensor reading interface when install the NVME HDD in the 2nd HSBP's NVMe slot.
-EPSD100256457:	In Redhat grub edit mode Backspace and curser move operations can't be consistent between local Screen and remote KVM session's Screen
-EPSD100035838: Can not display Simplified Chinese content after EWS was login when language was change to simplified Chinese.
-EPSD100254723: [HPC]KNP BMC FW Health reports HSBP Temp has failed
-none: Fix generic overflow attack on port 5120 and 5123 for cdserver and fdserver

01.48.10259:
-EPSD100255012:	[WCP] - Riser2 Temp lower issue with A2UL8RISER2
-EPSD100255833:	[Grantley] Linux Kernel vulnerability – Dirty COW (copy-on-write breakage of private read-only memory mappings)
-EPSD100254817:	[BIK] The HSBP's FRU can't be detected if install 4 HSBP in WCP system. (Long term solution)
-EPSD100035118:	HDD Fault LED didn't amber blinking at 1HZ frequence during HDD rebuilding
-EPSD100033884:	The HDD fault LED no light and no rebuild event be logged when plug out the HDD from HSBP(G94339-371) and plug back the HDD to rebuild RAID.
-none: Upgrade openssh to 7.3

01.48.10239:
-EPSD100035162:	LCD shown frusdr version is 1.3a, not 1.13a with BIOS setup.
-EPSD100255280:	BMC Debug Log does not dump IIO configuration in case of ERR2
-EPSD100255284:	BMC Debug Log generation code reads wrong bus to get GFERRST value on socket 1
-EPSD100034909: It shows the HSC FW update status as "00 01" by executing the "cmdtool 20 c0 38" command in power off status
-none: Increase EWS stability after Nessus/Qualys scan
-none: Update openssl to 1.0.2j

01.47.10181:
-EPSD100254817: The HSBP's FRU can't be detected if install 4 HSBP in WCP system.
-EPSD100034620: Ping LAN1 (BMC management) IP failure after AC off/on sometimes with RoHS BB.
-EPSD100034756: There is no "Mem P1 Thrm Trip" event be generated after heat DIMM to shutdown.
-EPSD100254941: HSBP3 sensors can not be accessed and shown as Unknown because of SDR auto-configuration failure 
-EPSD100253829: vulnerabilities found on BMC_i_0146r9961
-EPSD100254410: BMC Ethernet hang issue in some case
-EPSD100254304: BMC alerts received in an email via SMTP have a different time
-EPSD100253866: BMC EWS Security settings issue (Bad password threshold)
-Fix issue of second CPU dump when IERR happened and first CPU dump failed, Use PCH command to trigger warm reset, Increase handshake timeout with BIOS
-Fix "No SEL is added when FM_MEM_THERM_EVENT_N is grounded."
-Updated the stunnel conf to support TLSv1.2 only, with secured ciphers <= 128

01.46.9995:
-none: Watchdog assert happened on Nodes with bigger number while unplug PSU
on KNP/TLP

01.46.9961:
-EPSD100253232: [WCP] FRUSDR112 and FRUSDR113 Dont detect PSUs on a 3rd party chassis
-EPSD100251931: Email and SNMP alerts are not sent during a drive fault on 1U HSBP.
-EPSD100253499: EWS show in Chinese not align with English
-EPSD100252884: Change FAN to auto-rearm, fan status cannot show correct status on EWS
-none: Remove the 2130W PSU FW Ver24 for update hang issue

01.45.9842:
-EPSD100252472: Defect title: [WCP] vulnerabilities found on BMC release 01.41.9579
-EPSD100252826: BMC FW Use of Voltage Fault (D1h) Violates DFT Rule #1619
-EPSD100252984: modify master.cfg to automation will results fail
-EPSD100249322: duplicate response from remote host during SSH SOL/SMASH session
-EPSD100252884: Change FAN to auto-rearm, fan status cannot show correct status on EWS
-none: After load FCT or Default SDR in 24HDD System, HSBP update process cannot start

01.44.9785:
-EPSD100031139: [Switch]The DPC function couldn't work on the PCIe switch AIC via Switch AIC (Implement OEM Misc command (NetFn:0x30, Cmd:0x67) to detect SSD switch AIC)
-EPSD100248833: SMASH cannot read recent SEL events when SEL has a high volume.
-EPSD100031101: IE11 displaying EWS->Configuration->KVM & Media /SOL & SMASH , Sever Diagnostics->POST Codes with help ON, text exceeds the Box size
-EPSD100252439: [Grantley] PCIe SSD Add-in-Card present slot bitmap don't match current inserted slot number in EFI shell


01.43.9685:
-EPSD100250289: EWS BMC HTTP connection is halt when using JDisc application discovery task with VMware account.
-EPSD100250443: Shipping SDR can't be dumped after load SDR from system to shipping
-EPSD100031613: Intel Copyright Statement isn't correct on EWS
-EPSD100252136: The SEL description format for the "FW Update Status" sensor is confusing
-EPSD100252197: [WCP] 2x3.5 HSBP FRU can't be detected with BMC 01.41.9579
-EPSD100030211: Mouse and keyboard is not available in a rKVM session under the Windows 2012 R2 after select "Launch Redirection" for 2~3 times
-EPSD100031610: No beep code and CPU missing event be generated when remove the processor1 from CPU socket
-EPSD100249322: duplicate response from remote host during SSH SOL/SMASH session

01.42.9617:
-EPSD100251192: Syscfg not working for changing user privileges.
-EPSD100031260: The Sensor Reading Page from EWS display status is mismatch with EPS description when the DC power is off and AC power is present
-N/A: Check in 2130W PSU S4 image.
-N/A: Merge Intel Security Thunderbolt to trunk.
-N/A: Fix a potential CPU ID mismatch to detect CPU status.

01.41.9579:
-EPSD100249257: (X)12GB bridgeboard sensor no longer seen after updating to BIOS 1.01.009SUP with SDR Package 1.09.

01.41.9519:
-EPSD100030179: IE11 displaying EWS->Configuration->Server Diagnostics with Old System Debug Log text exceeds the Box size
-EPSD100030713: Using EWS cannot get information when using BMC version 1.38/1.39.

01.40.9455:
-EPSD100030395/EPSD100030381: The second HSBP related sensors show in unavaliable state when 2 HSBP are configured in chassis.
-EPSD100028376: When Solve BMC error, the status LED cannot change to Solid Green from Blinking Amber automatically.
-EPSD100250458: Unknown SEL event after XEON Phi Ctrl Alt Del reset (possibly other resets as well).
-EPSD100029078/EPSD100029080/EPSD100030117/EPSD100250535: DIMM Thrm Mrgn 1 sensor shows up as upper non-critical.
-EPSD100030156: The SUT will wait over about 20 seconds than expected time before SUT auto powering up.
-EPSD100250626: S2600TP BMC System Power statistic incorrect when the platform runs in standalone mode
-EPSD100250525: Fan Fault LED not functional on S2600CW board.
-EPSD100250872: BMC firmware OEM command about write SSL certification file fail to upload.
-EPSD100250216: EWS Alerts page wording (Select the events that will trigger alerts:) confusing to customer when IPMItool is used to modify Alert Action settings.
-N/A: Matched the TSOD addresses and memory controller PECI addresses.
-N/A: ME SELs don't decode correctly.
-N/A: BMC change to ensure the system remains off after an over current event (OCP) until the system has been AC power cycled.
-N/A: Disable onboard NIC from BIOS, system fan run at high speed.

01.39.9375:
-EPSD100030390: SUT boot slowly during BIOS post when node is plug in slot 3 or slot 4.

01.38.9347:
-EPSD100250032: EWS Show NVMe for S7200AP
-EPSD100250127: EWS with Mozilla Firefox 41.0 has Login button in wrong location
-EPSD100030179: IE11 displaying EWS->Configuration->Server Diagnostics with Old System Debug Log text exceeds the Box size
-EPSD100250243: BMC FW BAT test 32 Temperature Sensor fwtests\Sensors\Functions\interrelated_tests\sensor_thresholdEvents.tcl
-EPSD100250226: With no SATA drives installed EWS shows 3 out of 4 installed.
-EPSD100028833: HDD LEDs are off when HDD access
-EPSD100028868: Thermal Trip event generate when heat the processor to make system power down.

01.37.9235：
-EPSD100030118: No HDD presence and check HDD status in EWS, HDD2,3 status shows like "Drive Presence".
-None: Update HSBP CPLD to 1.5.

01.33.8932:
-N/A: Update FCT/Shipping SDR of WCP to 1.09.
-N/A: Update FCT/Shipping SDR of CWP to 1.11.
-N/A: Update FCT/Shipping SDR of KNP/TLP to 1.12.

01.31.8875:
-N/A: Update open SSL lib from 1.0.2a to 1.0.2d.
-N/A: VLAN refresh has problem during met lan status drop and regain.
-N/A: Added support for the new 2200W power supplies.
-N/A: Thunderbolt fans did not boost when a member read 0 RPM.
-EPSD100248689: [Thunderbolt] Sometimes there are some abnormal logs in SEL when run DC cycle or Hard Reset.
-EPSD100248782: The Help text in the BMC web console for Modify User does not match the actual interface.
-EPSD100029037/EPSD100029042/EPSD100029046: The "Bad user PWD" event log will occur when send several commands from remote client during update BMC FW.
-EPSD100029025/EPSD100029043/EPSD100029044: "Bad User PWD" event will occur when log in EWS via LDAP account with correct USERID and PASSWORD.

01.30.8756
-N/A: Disable CPLD Update Function by default and add a command for user.

01.29.8658
- EPSD100028587： [BCP24-SLV] BMC and SDR version become "Unknown" when used DCM tool to limit SUT power consuming
- EPSD100028724： [BCP24-FW]No HDD presence and check HDD status in EWS, HDD2,3 status shows like "Drive Presence".
- EPSD100028950： IOM FRU update fail

01.28.8586
-EPSD100248398: Spelling error in SEL log.
-EPSD100248427:  After SUT power off, there is "Front panel temp sensor has failed and may 
not be providing a valid reading - assert" logged for BMC FW health sensor
-EPSD100248399: Change Bad Passwordk Threshold parameter string in EWS to be same with spec.
-EPSD100248480: Chassis intrusion is always enabled on MTM2 exit.

01.25.8108
-N/A: Update CWP FCT/Shipping SDR to version 1.09.
-N/A: Update KNP/TLP FCT/Shipping SDR to version 1.09.
-N/A: Update WCP FCT/Shipping SDR to version 1.04.
-N/A: GetHomeAgent emits an irritating number of messages when only one CPU is installed.

01.24.8063
-EPSD100246940: Slow response when get RMM4 lite present via IPMI command.
-EPSD100247083: fan sensor reading is always 0 with BMC 1.18 on CWP Kontron SKU.
-EPSD100246496: Configuration Error SELOG issue.
-EPSD100027622: DIMM Thermal margin event is triggered if installed QFSS or  QGSL CPU with A1 and C1 DIMM populated.
-EPSD100247637: Launching BMC KVM with Java Version 6 generates error message.
-N/A: Change LSI3008 VR Temperature Sensor Number to 0x93.
-N/A: Show NVMe Bridge Board Presence. The Bug will happen if there is PCIE Slot 4 on SMBUS2.

01.23.8033
-EPSD100247768： [SLV]Post hang up with PCISSD P3600 or P3700 for 24HDD. TLP not show correct status on NVMe Bridge Board.

01.22.7928
-EPSD100245947: Copyrigth time is not correct in EWS and KVM legal notices.
-EPSD100246765: WCP - SEL events for SAS Mod Presence take place when the system is powered off and on.
-EPSD100246529: [X] All sensor readings are 'N/A' in EWS -> Server Health -> Power Statistics.
-EPSD100027156: [MIC-FW]There is no event logged for sensor "Voltage Fault".
-EPSD100245020: DFT violation 1578, BMC don't provide a programmatic method to control LCP displays.
-EPSD100246021: [x] After removing "AutoCfg Status" from SDR file, the sensor will still be asserted.
-EPSD100246992: [X] "AutoCfg Status" sensor asserted when the server board is installed in a 3rd party chassis.
-EPSD100247180: [X] "AutoCfg Status" sensor asserted when the server board is installed in a 3rd party chassis.
-N/A: Update CWP FCT/Shipping SDR to version 1.08.
-N/A: Update 750W DC power to 3.3.25.
-N/A: Updated SMBIOS fields to version 2.8.0.
 
01.20.7736
-none: Fix the issue that BMC cannot update NVMe Bridge Board FRU online.

01.19.7639
-none: Support 24HDD HSBP on KennedyPass and TaylorPass
-none: Implement a new OEM command for BIOS to discover NVMe Bridge Board.
 
01.18.7601
-EPSD100027162:System still can be power on when front panel temperature is higher than 60.

01.17.7464
-EPSD100243289/EPSD100244455: SEL show " Warning event: BMC FW Health reports SSB Temp has failed and may not be providing a valid reading." during warm cycle
-EPSD100245760: Error message misleading cusotmer.
-EPSD100245559: Cannot set "User Lockout Time (min)" to 0 in ews-Configuration-Security Settings page.
-EPSD100245539: BMC sporadically stops responding to network IPMI requests.
-EPSD100245532/EPSD100245535: The "voltage fault" warning cause the LED status "on" as "blink" when run the CWP AC cycle by ITAS3.11.5.
-EPSD100027155: There's no DC PSU FW version in release note.
-N/A: Update Default.SDR and FCT.sdr of KNP&TLP to version 1.04.
-N/A: Update CWP FCT/Shipping SDR to version 1.07.
-N/A: Update open SSL from 1.0.1j to 1.0.1k.

01.15.7272
-EPSD100244829: EWS login failed during run DC cycle with ITAS.
-EPSD100244944: BIOS has F2 setup option for Reset on ERR[2] but does not enable ERR[2] assertion.
-EPSD100245382: Various issues were seen during factory testing concerning the assertion of the Voltage Fault sensor due to Riser PWR_GD not being detected.
-N/A: Update Default.SDR and FCT.sdr of CWP to version 1.04.
-N/A: Update Default.SDR and FCT.sdr of KNP & TLP to version 1.03.
-N/A: Changed CATERR to IERR, added IERR log SDR, and added NR threshold to FP Temp sensor on WCP.

01.14.7204
-EPSD100245035: BMC uses wrong Event Type (does not match EPS) for Auto Config Status events.
-EPSD100244671: [x] customer test case - power on / off cycle test fail Verify Instructions: EMC 336 AC ON/OFF test.
-EPSD100244998: After bmc update, the major bmc version in bmc update start log  is not correct.
-EPSD100244506: Short DC cycling - BMC does not respond to Chs Control command (ON/OFF).
-N/A: Corrected misspellings, and added descriptive text for "per session cookies".
-EPSD100027034: LAN Leash event desserted/asserted event log will be triggered after DC cycle.
-EPSD100027035: LAN Leash event desserted/asserted event log will be triggered after DC cycle.
-EPSD100244506: Turning off DC power while auto-config is running would cause various types of failures. The most obvious failure is a chassis detection SEL entry. Added checks for DC power state in several parts of the auto-config process.
-EPSD100245078: Turning off DC power while auto-config is running would cause various types of failures. The most obvious failure is a chassis detection SEL entry. Added checks for DC power state in several parts of the auto-config process.
-EPSD100244513: BMC Web Console incorrectly decodes BIOS POST Codes.
-EPSD100244366: hdd driver presence log was logged during DC cycle stress.

01.13.7172
-EPSD100240602: HDD status sensor reading is not correct for PCIE SSD.
-EPSD100244511: 1600W PSU Fan Oscillation on Taylor Pass/Bobcat Peak.
-N/A: Update Default.SDR and FCT.sdr of TLP to version 1.02.

01.11.7046
-EPSD100244504: WCP - Syscfg V13 B18 - In UEFI boot mode the /bbo command returns an error.
-EPSD100244505: WCP - Sysinfo V13 B15 - Sysinfo_log shows error under System Boot Order when the system is in UEFI boot mode.
-EPSD100244574: WCP - SMASH can start a SOL session when SOL is disabled on all channels.
-EPSD100244363: BMC Should not be logging false throttling events in the SEL when a thermal Trip event occurs.
-EPSD100240602: HDD status sensor reading is not correct for PCIE SSD.
-EPSD100244507: WCP - Local Control Display Panel scrolls through all SEL events instead of just errors.
-EPSD100244511: 1600W PSU Fan Oscillation on Taylor Pass/Bobcat Peak.
-EPSD100243688: (X) BMC Web GUI is inaccessible after IT scan.
-EPSD100245035:  BMC uses wrong Event Type (does not match EPS) for Auto Config Status events.
-EPSD100245037: Firmware EPS has incorrect definition of ED3 byte of AutoCfg Status sensor SEL entries.
-EPSD100244948: Security vulnerability with OpenSSL.
-N/A: Update Default.SDR and FCT.sdr of KNP to version 1.02.
-N/A: Fix mmap library bug.
-N/A: Update MCTP kernel driver and Add MCTP application library.

01.10.7004

-EPSD100244978: Do not log extra failures on CATERR

01.09.6976

-N/A: system will hang on CATERR

01.08.6942

-EPSD100244631: systems hang if multiple PCIe initializations are sent during POST

01.07.6909

-EPSD100244410: FIVR Fault not being detected
-EPSD100244255: Some of DIMM sensors show the critical status in EWS.
-EPSD100026932: Alert email page title is different to help page title on BMC Web Console
-EPSD100244476: IPMB Bridging commands to satellite controllers fail
-EPSD100244363: BMC Should not be logging false throttling events in the SEL when a thermal Trip event occurs
-EPSD100244443: 12Gb SAS Bridgeboard Sensor 0x9E not Accessible
-N/A: Update Default.SDR and FCT.sdr of CWP to version 1.02
-N/A: Update Default.SDR and FCT.sdr of TLP to version 1.01

01.06.6835

-EPSD100243920: [X] BMC flash process breaks SOL session until system is rebooted
-EPSD100244023: [SLV_CWP]During AC power cycling test, found the BMC becomes unstable.  (BMC reset)
-EPSD100241497: WCP - BMC cannot be contacted until AC power cycle after restoring defaults
-EPSD100243953: [SLV_KNP] EWS server health page sensor reading show " Not Available" for " PS Fan Fail" sensor.
-EPSD100243289: [SLV_KNP] SEL show " Warning event: BMC FW Health reports SSB Temp has failed and may not be providing a valid reading." during warm cycle.
-EPSD100241684: WCP - Other Unknown Events intermittently display in BWC/EWS SEL until browser is refreshed
-EPSD100243818: 1100W PSU: PSU input (AC/DC) & Power Unit Redund lost events were logged to the SEL during DC cycling
-EPSD100244127: WCP - LCP does not display error message or turn amber when correctable error is entered in SEL
-EPSD100243954: BMC blocks front panel power button when soft power control failure happens
-EPSD100244070: KVM keyboard intermittently dead after BMC cold reset.
-N/A: Update 1600W Power Supply firmware to version 0.9.68
-N/A: Update Kennedy Pass built-in SDR's to version 1.02

01.03.6776

-EPSD100026777: Node 10(old) can't  normally access BMC  by web way.
-EPSD100026837: There are many repeat log after plug out FAN present pin or connector
-EPSD100243608: Press F5 to refresh SOL&Smash page and the headlines are ”undefined”
-EPSD100243609: Clone of: Press F5 to refresh SOL&Smash page and the headlines are ”undefined”
-EPSD100243634: With degraded redundant power logs show redundancy regained for 3 seconds after 5 hours of idle
-EPSD100243679: EWS DIMM information display shows incorrect size for 32G DIMMs
-EPSD100243680: the status LED is green blinking when the SUT get full reduncany regained after power on
-EPSD100243688: (X) BMC Web GUI is inaccessible after IT scan
-EPSD100243817: Rear HDD 0 Stat & Rear HDD Stat 1 logging Rebuild/remap in progress events when they are configured for AHCI
-EPSD100243840: Sorting does not work on event log viewer of BMC while view all event are loading to the page
-EPSD100243843: Clone of: EWS DIMM information display shows incorrect size for 32G DIMMs
-EPSD100243909: I2C bus 4 reset during HSBP FW updating on Kontron SKU
-EPSD100243912: Incorrect wording on pop up window when clearing the SEL
-EPSD100243927: The BMC FW setting is not same as the new common SDR table Revision 1.2
-EPSD100243930: [SLV_KNP] SEL report HDD Rebuild/Remap in progress events when system configure with AHCI.
-EPSD100243940: WCP - SEL shows redundant fan error deassertions
-EPSD100243953: [SLV_KNP] EWS server health page sensor reading show " Not Available" for " PS Fan Fail" sensor.
-EPSD100243955: Clone of: [SLV_TLP] EWS server health page sensor reading show " Not Available" for " PS Fan Fail" sensor.
-EPSD100243984: SEL translation for three voltage sensors assert event are not correct.
-EPSD100244002: Clone of: The BMC FW setting is not same as the new common SDR table Revision 1.2
-EPSD100244005: WCP - Emails sent from BMC as alerts intermittently have subject line of "L"

01.02.6745

-N/A: Update Kennedy Pass built-in SDR's to version 1.00
-EPSD100242984: Truchas Valley / Coffee Canyon: SEL flooded with events when doing a RAID rebuild or Drive Replacement

01.01.6653

-EPSD100243323: Status LED still is green blinking after auto configuration handles the fan redundancy sensor correctly.
-EPSD100243460: SyscfgV13.16:"syscfg.efi /bbo" get boot order failed once Win2k12R2UEFI OS connected and boot mode set to "UEFI"
-EPSD100243463: Clone of: SyscfgV13.16:"syscfg.efi /bbo" get boot order failed once Win2k12R2UEFI OS connected and boot mode set to "UEFI"
-N/A: 1600W Power Supply Firmware changed to 9.65.
-EPSD100243179: [SLV_KNP] SEL show  "Warning event: BB 2.62V VPP reports it crossed the lower non-critica" during warm cycle.
-EPSD100243180: [SLV_KNP] SEL show like "Warning event: BB 1.2V PXDDR xx reports it crossed the lower non-critical" during warm cycle.
-EPSD100243284: [SLV_KNP] SEL show "Warning event: BB 1.05V VCC IO reports it crossed the lower non-critical." during warm cycle.
-EPSD100242714: [WCP] FAN speed can't be set to 100%.
-N/A: OpenSSL changed to version 1.0.1i

01.00.6572

-EPSD100242648: Reports LAN Leash has been lost asserted, then de-asserted on chassis reset
-EPSD100242994: some items translation in Chinses browser don't align with that in English browser.
-EPSD100026690: Unexpected PSU event logs if only install one PSU in KDK and power on the SUT
-EPSD100242992: voltage fault sensor 0xD1 status check fail.
-EPSD100241819: HSBP Temp event is logged in DC cycle stress

00.30.6524

-EPSD100026655: [KNP-SLV] No error is displayed indicating the write to the read-only remote device failed.
-EPSD100026693: [TLP-SLV] No error is displayed indicating the write to the read-only remote device failed.
-EPSD100242670: [SLV_KNP]With SUSE11 SP3 x64 OS, there's no an error is displayed indicating the write to the read-only remote device failed.
-EPSD100242736: Health contribution for multiple sensors does not match BMC EPS
-EPSD100242956: Incorrect severity reported for  BB +3.3V Vbat sensor assertion
-EPSD100242966: SDR switch fail on CWP SAS SKU after program FRU
-EPSD100242999: Auto Shutdown sensor 0xB8 returns incorrect severity
-EPSD100242773: [WCP, 750W]PS1/PS2 Status reports a predictive failure due to under-voltage has been detected that may result in power supply failure

00.29.6470

-EPSD100026303: "IO module" can't be detected in "System information"-->"FRU Information" by EWS
-EPSD100242341: OFU_V13.11:information of "Detected Hardware" will lost when update FRUSDR by commnd:flashupt -u test.cfg

00.28.6456 (Not Released)

-EPSD100242204: Temperature,P1 Therm Ctrl % (#0x78) are reported a unexpected log during boot to OS
-EPSD100242058: Temperature,P1 Therm Ctrl % (#0x78) are reported a unexpected log during boot to OS
-EPSD100242390: Temperature,P1 Therm Ctrl % (#0x78) are reported a unexpected log during boot to OS
-EPSD100026638: SDR auto-update failed" is displayed during FRU/SDR updating
-EPSD100241109: SUT didn't power down when system power good signal is grounded and Beep code isn't right
-EPSD100242667: Error message popped when add a user with 16 charcaters user name in EWS
-EPSD100242640: fan sensor reading is far below FF after set fan to full speed
-N/A: Update 1100W PS S3 and S4 FW to rev 1.1.2D
-EPSD100242698: status LED is incorrect when BMC watchdog event asserted
-EPSD100026342: [TLP-HWV] System config and board only config has different SDR behavior
-EPSD100242341: OFU_V13.11:information of "Detected Hardware" will lost when update FRUSDR by commnd:flashupt -u test.cfg
-EPSD100242736: Health contribution for multiple sensors does not match BMC EPS

00.27.6423

-EPSD100242511: We cannot make I2C interface work
-EPSD100026636: Beep code generate and VR Watchdog event occur after power off vir press power button
-EPSD100026640: Clone of: [MIC-FW]Boot up fail after full update BIOS D556.
-EPSD100026639: Removed IO module and SAS module will show present on EWS.

00.26.6377

-EPSD100026513: SMASH automated tests will occur some fail.
-EPSD100242127: Disabling NIC1 Controller stops communication with BMC LAN channel 3 (RMM)
-EPSD100241816: when the DIMM therm trip triggered, the status LED is solid green.
-EPSD100242204: Temperature,P1 Therm Ctrl % (#0x78) are reported a unexpected log during boot to OS
-EPSD100242058: Temperature,P1 Therm Ctrl % (#0x78) are reported a unexpected log during boot to OS
-EPSD100025565: Some sensors miss on the SMASH-CLP according to BMC EPS 1.0
-EPSD100241109: SUT didn't power down when system power good signal is grounded.
-EPSD100026549: IO Mod presence in EWS sensor reading show "NA".
-EPSD100026550: IO Mod presence in EWS sensor reading show "NA".
-EPSD100026342: System config and board only config has different SDR behavior
-EPSD100026450: BWC/EWS - Online Help for users does not give definition of Network Privilege levels.
-EPSD100241819: HSBP Temp event is logged in DC cycle stress
-EPSD100242233: I350 NIC test failed with specific MAC address which ends of FFFE
-EPSD100026296: Boot order is persistent even changed through BIOS if boot options #5 data1 bit[6] is set
-EPSD100026568: Current SDR File is show Unknown in SDR Configuration page of EWS after AC cycle or BMC cold reset
-EPSD100026602: Front panel status LED light amber blinking while booting up without CMOS battery installed
-EPSD100242203: IO module presence sometimes will be reported after "Global reset"
-EPSD100240717: Only one HDD fault LED is solid AMBER when making two HDD rebuild in PB080 mode.


00.25.6290

-EPSD100242141: There is no help information for set auto-refresh in seconds in EWS sensor pages
-EPSD100241481: Timeout for Rotation Period" can't be reset to default value when run "syscfg.efi /rfs" on KNP
-EPSD100242074: 2nd source BMC chip MX25L12873FM2I can't boot up
-EPSD100241416: There are unexpected events logged for PSU during AC cycle stress test
-EPSD100026469: BMC Web Console to save SELText.txt file is missing detailed error message for POST Err Sensor

00.24.6269 (Not Released)

-EPSD100241031: WCP - BWC/EWS System Information box intermitently is missing the right side of the outline in IE
-EPSD100240966: Refresh web page is required after doing parse operation on EWS SDR Configuration page
-EPSD100025767: Previous and Current boot starting time are the same under BMC web console
-EPSD100241670: FW update will fail with OS based utility (OFU), failure rate is 20% with USB mode and 40% with KCS mode
-EPSD100241413: MIC card related sensors cannot been loaded when insert MIC card to slot5
-EPSD100240674: Ping shared NICs' IP failed
-EPSD100241854: OFU 13 build 10, BMC Firmware update status show "0% Done" after successfully completed
-EPSD100241886: OFU 13 build 10, BMC Firmware update status show "0% Done" after successfully completed
-EPSD100241896: OFU 13 build 10, BMC Firmware update status show "0% Done" after successfully completed
-EPSD100240715: Unexpected SSB Temp event log during DC cycle stress testing
-EPSD100241605: there is no help information for dropdwon selector in chinese
-EPSD100241779: When system is idle status, sensor name "sys FAN" readings show be abnormal
-EPSD100241955: String "Intel R" should be removed from EWS Console Redirection page
-EPSD100241863: String "Intel R" should be removed from EWS Console Redirection page
-EPSD100241826: EWS just analysis a wrong dimm slot which trigger the therm trip
-CVE-2014-0196, CVE-2013-0343 Linux Kernel updates - fix for privilege escalation on tty echo, fix for disable ipv6 privacy extensions
-EPSD100242035: CCB 132 - Not implemented
-EPSD100025838: Remote KVM video have some dirty mouse cursor under linux system
-EPSD100026324: [FTF] Overflow the SDR Repository using fixed-size partial adds Test Fail
-EPSD100026321: [FTF] Verifies correct dynamic CLTT function Test Fail
-EPSD100238376: WCP - Downloaded SELLOG does not reflect SEL in EWS/BWC
-EPSD100026284: Riser 2 Temp senser's reading adnormal when NIC I350-T4 is installed to 3 slot of Riser 2
-EPSD100026383: [KNP-SLV] Some user privilege behavior in web console not meet SPEC
-EPSD100024763: [MIC-FW] Capture MFG Data command not work in MTM mode
-EPSD100242097: [MIC-FW] Capture MFG Data command not work in MTM mode
-EPSD100240946: BMC generates beep codes when CPU thermal trip is triggered


00.23.6174

-EPSD100024913: EWS-Web change Port not work
-EPSD100024803: EWS-Web change Port not work
-EPSD100026157: BWC/EWS says Console Redirection is disabled by administrator when RMM4 Lite is not present
-EPSD100239691: when heat the memory ,the reading of DIMM therm margn will not change.
-EPSD100240496: FW update will fail with OS based utility (OFU), failure rate is 20% with USB mode and 40% with KCS mode.
-EPSD100240557: WCP - Fans running at 12,000 - 13,500 RPM when system is idle
-EPSD100240670: Clone of: FW update will fail with OS based utility (OFU), failure rate is 20% with USB mode and 40% with KCS mode.
-EPSD100240835: Changing PSU Cold Redundancy settings does not affect which PSU is active
-EPSD100240947: CPU and HDD presence log are generated when plut out and plug in  one PSU module
-EPSD100241093: WCP - BWC/EWS becomes intermittently unresponsive
-EPSD100241112: Get FRU Area Inventory Information Test Fail
-EPSD100241114: Active PSU not change when set user specific ranking
-EPSD100241261: Cold Redundancy rotation period actual does not match requested
-EPSD100241289: Power-on Post Code generates an event in the EWS SEL repository of “Error. Unknown – Asserted”
-EPSD100241323: WCP - BWC/EWS says Console Redirection is disabled by administrator when RMM4 Lite is not present
-EPSD100241333: WCP - BWC/EWS Dedicated Management NIC Status shows "Not installed" if RMM4 Lite not present
-EPSD100241443: "AutoCFG Sensor -  Chassis auto-detection error " event logged when updating BMC, BIOS, ME & FRUSDR using OFU
-EPSD100241450: WCP - When ECC (either correctable or uncorrectable) events are generated in SEL, no DIMM information is provided.
-EPSD100241467: Power consumption showing on EWS is higher than actual power consumption
-EPSD100241471: Clone of: Power consumption showing on EWS is higher than actual power consumption
-EPSD100241484: Unexpected port in use message box pops up when setting EWS HTTP port
-EPSD100241494: WCP - System Debug Log error message for not being authorized has a typo
-EPSD100241497: WCP - BMC cannot be contacted until AC power cycle after restoring defaults
-EPSD100241601: The reading of DIMM Thrm Mrgn will not change When heat the DIMM
-EPSD100241613: BMC Web Console: Save SELText.txt file is missing detailed error message for POST Err Sensor
-EPSD100241632: WCP - Unknown IP addresses showing up in BWC/EWS in Configuration > Alerts
-EPSD100241670: Clone of: FW update will fail with OS based utility (OFU), failure rate is 20% with USB mode and 40% with KCS mode.


00.22.6105

-EPSD100241409: Console Redirection setting is enabled at first boot on fresh board
-EPSD100241391: Shipping SDR can't be dumped after switch from FCT SDR
-EPSD100241370: BMC Crashed - Debug Logging Thread crashing as a result of seeing a CATERR assertion by the system and trying to read the MSR data from the CPUs
-EPSD100241301: Failed to establish the ssh connection with error message “Connection refused”
-EPSD100241296: Failed to establish the ssh connection with error message “Connection refused”
-EPSD100240952: DIMM temp offset registers are not updated in Dynamic CLTT mode
-EPSD100240743: PCIe SSDs cannot be recognized correctly with production BIOS D473
-EPSD100240557: WCP - Fans running at 12,000 - 13,500 RPM when system is idle
-EPSD100240546: when heat the PCH smoothly to powerdown, there is no PCH therm trip log in SEL
-EPSD100026186: Clone of: Failed to establish the ssh connection with error message “Connection refused”
-EPSD100026184: Clone of: Failed to establish the ssh connection with error message “Connection refused”
-EPSD100026182: Clone of: Failed to establish the ssh connection with error message “Connection refused”
-EPSD100026142: Unable to connect BMC via SSH
-EPSD100026126: There is no SSB thermal trip evant logged in SEL.
-EPSD100026082: Abnormal "BMC Watchdog" event will be triggered during DC cycle.
-EPSD100026035: SOL is not disabled by default in BMC 20r6013
-EPSD100025192: On SATA/sSATA AHCI Mode, SEL show rebuild-remap in progress for some time.
-EPSD100240918: There is no SSB Therm Trip log ,When heat the PCH smoothly to power down
-EPSD100240529: Error information is shown in system information page of ews
-EPSD100240504: Sensor readings "IO Mod Presence and  I/O Mod Temp " show be abnormal
-EPSD100240447: The information of "Dedicated Management NIC status" is not correct  on system information page
-EPSD100026154: Clone of: Sensor readings "IO Mod Presence and  I/O Mod Temp " show be abnormal

00.21.6077

-EPSD100025728: the systen No:S5 BMC got Fan Redundancy  isuue
-EPSD100025899: The Event Log will be fulled up after BMC Force Update.
-EPSD100025947: The Event Log will be fulled up after BMC Force Update.
-EPSD100026045: SSB Temp events are logged when running sensors stress test
-EPSD100238119: SEL intermittently reports RAID array is remapping when it is not
-EPSD100238628: LCP does not stop scrolling when viewing events
-EPSD100239758: SEL will show "eventlog is 100% full warning" after force update BMC
-EPSD100239759: no hdd13/14/15 installing, there are "hdd 13/14/15 Rebuild/Remap in progeress asserted" (deasserted) loges in the power on process.
-EPSD100239767: The information of platform applicability for sensor B +12.0V is incorrect in Grantly EPS 1.0 Table 38.
-EPSD100239881: Console Redirection setting is enabled at first boot on fresh board
-EPSD100240005: there is no help message for FP/BP/PSU fru information in EWS
-EPSD100240147: Sensor name display mismatch SDR for SmaRT-CLST Stat in EWS sel page
-EPSD100240174: EWS: Boot FW Rev shown in system information does not match BMC ReleaseNotes
-EPSD100240209: The uboot version on EWS is not consistent with the BMC releasenote
-EPSD100240346: The information "Input AC Power Statistics" of power statistics in EWS doesn't match with the help of EWS/Server Health/power statistics
-EPSD100240403: Fail to update FRUSDR at nodes 3 and 4 when plug all nodes in a chassis
-EPSD100240427: After forced update using baseboard jumper the BMC generates unknown errors
-EPSD100240428: EWS About copyright notice is 2006-2013, needs to be 2006-2014
-EPSD100240433: Multiple sensors intermittently showing "unknown" health and readings "not available"in BMC Web Console
-EPSD100240447: The information of "Dedicated Management NIC status" is not correct  on system information page
-EPSD100240522: Intermittently fan sensors report redundency loss when all fans are still running
-EPSD100240544: Satellite fw status is "01" after load system SDR even if both BMC and HSBP has same POSC FW
-EPSD100240557: Fans running at 12,000 - 13,500 RPM when system is idle
-EPSD100240567: Clone of: The information "Input AC Power Statistics" of power statistics in EWS doesn't match with the help of EWS/Server Health/power statistics
-EPSD100240578: Console Redirection setting is enabled at first boot on fresh board
-EPSD100240597: Clone of: Enhance EWS System Information Help with state of Blinking LEDs
-EPSD100240598: Clone of: WCP - After BMC Forced Update Console Redirection is enabled in BIOS
-EPSD100240652: There are unnessary event log for HDD status sensor reporting Rebuild/Remap in progress during dc cycle stresss test
-EPSD100240681: PSU REDUNDANCY status can't be ready as expected after load system SDR
-EPSD100240729: Update PSOC will cause I2C4 crashed
-EPSD100240842: HDD Status reports Rebuild/Remap in progress during windows  server 2008 R2 boot up.
-EPSD100240859: SDR Auto-config: BMC did not recognize that a 2nd 1100W Power Supply was installed
-EPSD100240942: Temp #22h out of range intermittently. Sensor Reading is 0x00
-EPSD100240953: NM Capabilities is deasserted while a hard drive in the RAID volume is rebuilding
-EPSD100240955: Boot IVR Fault Is Not Logged In SELVIEW/Run Time IVR Fault Not Working

00.20.6013

-EPSD100025235: Double WDT triggered SEL entries when BMC reset as WDT triggered
-EPSD100025586: (*) SUT couldn't Power On during AC cycle test randomly.
-EPSD100025619: (*) AC Cycling with D422/BMC_v15/FRUSDR_0.04 and some Nodes just random will not Power ON in first cycling.
-EPSD100025890: BMC does not respond correct riser slot location of PCI-e SSD card on 2U riser
-EPSD100025891: BMC does not respond correct riser slot location of PCI-e SSD card on 1U riser
-EPSD100239336: (*) BMC stuck at uboot discovery during AC cycle - Randomly
-EPSD100239881: Console Redirection setting is enabled at first boot on fresh board
-EPSD100239894: Autoconfig (SDR update) will not install correct SDR if SDR repository is corrupt or clear
-EPSD100240011: Power-On Hour Counter off 307 seconds over 3 hours
-EPSD100240312: After BMC Forced Update Console Redirection is enabled in BIOS
-EPSD100240363: Completion code mismatch its definition for command “Get DIMM information” in EPS when DIMM is not present
-EPSD100240441: EWS About copyright notice is 2006-2013, needs to be 2006-2014
-EPSD100240481: Making changes in BWC/EWS to SOL causes error message if BMC LAN Failover is enabled
-EPSD100240637: EWS BMC major number is read as BCD while Spec says it should be Binary

00.19.5929

-EPSD100025677: There are unknown SEL events during BIOS recovery.
-EPSD100025732: EWS "FRU Information" Help section "FRU Product Information" has extra line item.
-EPSD100025733: EWS "FRU Information" Help section "FRU Product Information" has extra line item.
-EPSD100238854: HSBP FRU not seen G97160-101 F2U8X35S3
-EPSD100239767: The information of platform applicability for sensor BB+12.0V is incorrect in Grantly EPS 1.0 Table 38
-EPSD100239868: Boot firmware revision, major/minor not provided
-EPSD100239894: Auto-cfg should allow SDR repository to be recovered by running utility or by DC cycling
-EPSD100240212: EWS "FRU Information" Help section "FRU Product Information" has extra line item.
-EPSD100240250: SEL in BWC/EWS does not display events and crashes when attempting to save it.

00.18.5885

-EPSD100024786: FTF-Messaging-UserAccess test failed
-EPSD100025050: No Power Unit Redundancy sensor event be triggered after auto-configures to redundant PSU mode.
-EPSD100025108: FTF-Messaging-UserAccess test failed
-EPSD100025372: MTM-1 won't be time out after 5 minutes
-EPSD100025407: RMM4 not set as default IP after BMC force update
-EPSD100025539: BMC report unable to find suitable image during 1100W PSU update
-EPSD100025667: The FAN sensor reading does not work accordingly SDR version 4,FAN sensor reading is always FF.
-EPSD100025675: Voltage Crossing Test for BMC-Partial channel of ADC can't trigger Event Log normally.
-EPSD100236355: Get User Access command does not show correct enabled users
-EPSD100238020: i2c-adapter i2c-7: Arbitration lost on data transmission
-EPSD100238379: 1100W PS input power sensors are not reporting a value when system is turned off
-EPSD100238463: The syscfg efi command of "set the Rank Order of Power supplies: syscfg /cr rank "2 1"" has no function.
-EPSD100238512: PCIe SSD AIC ID and bus bifurcation - CCB 175
-EPSD100238806: FRUSDR.efi missing character on device summary for MIC Cards
-EPSD100238892: Added a call to PSCheckState to update the power supply state information so that the u8DataIsValid can be properly set.
-EPSD100238934: In BWC/EWS in Event Log when System Management Software Events is selected nothing is displayed
-EPSD100239278: No Power Unit Redundancy sensor event be triggered after auto-configures to redundant PSU mode.
-EPSD100239368: FP LCD does not display correct non-critical events
-EPSD100239442: BMCx64 module V4.08.1.0001 fail to get fan upper and lower parameter during autoconfig on KNP
-EPSD100239474: G97168-101 programs FRU but is not visible to EWS or in documentation
-EPSD100239569: FP LCD: freezes
-EPSD100239593: FAN 4,5 fault LED will be on after offline update BMC to 0.14
-EPSD100239624: fan fault LED light mismatch with the fault fan.
-EPSD100239996: FP LCD: freezes

00.17.xxxx  (NOT RELEASED)

00.16.5761

-EPSD100025539: BMC report unable to find suitable image during 1100W PSU update.
-EPSD100238053: Java dropping JAR support will affect KVM operation.
-EPSD100238376: Downloaded SELLOG does not reflect SEL in EWS/BWC
-EPSD100238472: Email and SNMP alert for Node Manager Exception is not received
-EPSD100238892: Power Supplies failed to update Firmware
-EPSD100238934: In BWC/EWS in Event Log when System Management Software Events is selected nothing is displayed
-EPSD100238959: Mmry ECC Sensor events do not send SNMP or email alerts
-EPSD100239229: Missing uboot environment variable results in the BMC not booting the OS.
-EPSD100239231: SMASH-CLP spelling errors
-EPSD100239339: FP LCD setting of IPaddress from FP LCD causes View of IP address to be scrambled

00.15.5714

-EPSD100025517: DCMI report incorrect manageability access attributes
-EPSD100025536: Only support 2 shared NIC but BMC reported the platform which supports 3 shared NIC when issue Get DCMI Capabilities Command.
-EPSD100025546: 3.5" HSBP Heavy Load power button power cycling stop in 717 cycle and fan no power.
-EPSD100025551: 2U4N AC power cycling windows boot 1000 times cycle, system does not reboot after more than a dozen times.
-EPSD100025564: 3.5" HSBP Temperature Sensor Reading fail
-EPSD100237663: System does not power itself on according to the Fixed Power Restore Delay value
-EPSD100238299: Policy number can't set to 0 is different with the help page in EWS.
-EPSD100238378: WCP system did not recognize the PCIe SSD Add-in-Card (G97168-101) - PCIe link training failure
-EPSD100238470: LCD panel fails to indicate power supply or thermal overload fault
-EPSD100238512: PCIe SSD AIC ID and bus bifurcation - CCB 175
-EPSD100238638: User privilege level has Callback level that is not listed in online help
-EPSD100238755: Stress_AC_Cycle_WFB.tcl failure
-EPSD100238766: Added filter value to only match if timer use flags indicate FRB2
-EPSD100238880: Changed the strings for the bit definitions to remove repeated phrases
-EPSD100238897: Added "(R)" to Intel Xeon string

00.14.5670

-EPSD100025371: Exit Air temp sensor reading is abnormal when cold down FP temp sensor
-EPSD100025278: After heat the DIMM , the upper non-critical information is incorrect on SEL
-EPSD100238476: WCP - BWC/EWS Help for LDAP has entries out of order
-EPSD100237895: ACPI is ZBB for Grantley; BMC FW still supports
-EPSD100237422: FWPIAUPD V13.1: Error "Could not Initialize USB Interface using KCS Interface" poped when try to update BMC with USB Interface
-EPSD100238635: BMC Web Console: user privilege level should not be allowed to view the Configuration --> Security Settings page
-EPSD100025410: EWS SEL entries show as 3638 when SEL is full
-EPSD100229659: BMC Automatic Update of HSBP FW Unstable and Impacting BIK Factory
-EPSD100238586: WCP - When user level accounts try to generate BMC system debug log they do not receive an error
-EPSD100238265: The description of RMM channel is wrong on the help page of EWS/Configuration/IPv4 Network&VLAN
-EPSD100024896: Status LED is incorrect during BMC booting
-EPSD100025421: The fan speeds are not different between acoustic and performance profile
-EPSD100025404: LCD not autoscrolling content when BIOS version is exceed display size
-EPSD100238628: LCP does not stop scrolling when viewing events
-EPSD100025405: LCD not come back default banner screen after timeout
-EPSD100238299: Policy number can't set to 0 is different with the help page in EWS
-EPSD100238557: WCP-Viewing Node Manager policies through BMC/EWS causes the web server for the BMC to intermittently become unresponsive
-EPSD100025301: Some string is still english when EWS localized as Chinese
-EPSD100238254: Can't ping the ip of Lan Channel1 through Lan Channel2 after BMC LAN Failover enabled
-EPSD100238626: Fan boost after powerup and BMC start before final fan values are set
-EPSD100025461: Network privileges list in BMC web console doesn't meet its On Line Help

00.13.5582

-EPSD100025210: SEL timestamp is incorrect in EWS debug log
-EPSD100237987: Current mouse mode show none in EWS/ KVM&Media page when refresh the page after save the mouse mode to one mode.
-EPSD100025139: Someitme the sensor "Exit Air Temp" display Not Available in EWS
-EPSD100024803: EWS-Web change Port not work
-EPSD100024913: EWS-Web change Port not work
-EPSD100238074: FP LCD: no access to any of the fields under Conf|Banner, SN|SM|ERR|BIP|RIP|Pow|LPC|CStr; nothing reacts
-EPSD100237901: BMC Crash with .\SEL\API\sel_PartialAddEntry.tcl script
-EPSD100238049: BMC Crashed - When SDR Repository is Corrupt and Re-trying to install SDR using EFI
-EPSD100238246: Invalid JSON data from WebGo
-EPSD100238142: There are some spelling mistakes in the BMC ReleaseNotes Ver:0.11.5471
-EPSD100237603: Pwr Unit Redund sensor's warning message is incorrect in EWS / Sensor Readings page when unplug PS1 cable or PS2 cable.
-EPSD100238184: OFU v13 build 5 show 98% Done after BMC updating with cmd flashupdt.exe -u test.cfg
-EPSD100024895: No BMC watchdog event logged in SEL when BMC kernel panic triggered
-EPSD100025305: Voltage sensor reading abnormal when install 1x CPU
-EPSD100025299: Voltage sensor reading abnormal when install 1x CPU
-EPSD100237245: Sometims there is assert event for BMC FW Health 0x10 - "SPS FW Health" sensor has failed after dc cycle.
-EPSD100025275: Remove hot-swap fan cause SDR auto-config keep loop and BMC reset
-EPSD100237912: Print message is continuousely output from the BMC debug port
-EPSD100025009: SDR auto config not detect IOM and SAS module
-EPSD100025304: Enter MTM-1 mode and ignore a signal, after 5 minutes the command did not revert back to default.
-EPSD100024643: View the "event" option in LCD, it display inappropriate.

00.12.5519

-EPSD100024875: DCMI Conformance Test Suite failure.
-EPSD100024934: MTM event not show in EWS
-EPSD100025185: After pull out the AC cord from PS1/2 power supply,SUT will appear abnormal unknown event logs.
-EPSD100237519: A user with operator privilege can't generate a System Debug Log via the BMC Web Console.
-EPSD100237739: LDP displays server name is invalid but it is shown in BWC/EWS
-EPSD100237896: EWS Power ON causes BIOS to come up in BIOS Setup
-EPSD100237958: BMC and EWC issues on ME update and BMC update SEL entries
-N/A:           Fixed issue with Critical status happening on BMC resets.

00.11.5471

-EPSD100024411: LCD CONF menu failed to find IPVer option, it should have the
                following Menus ^|IPVer|BL|RL|BDev|Ban.
-EPSD100024758: [MIC-FW] Can't read IOM FRU when sensor report IOM present
-EPSD100024876: [CDAD] When boot into SUSE 11.3, PORT 80 LEDs are still light all
                along.
-EPSD100024999: [MIC-FW] Enable or Disable Auto-Configuration feature get incorrect
                response
-EPSD100025031: [MIC-FW] Failed to get reading from DIMM Thrm Mrgn sensor after
                DC cycle
-EPSD100025062: [MIC-FW] FSC-Clamp failed in Test derivative contribution with
                minimal integral
-EPSD100236915: EWS displays insufficient detail for AutoCfg Status sensor events
-EPSD100237265: BMC Web Console:  SDR Configuration feature should be under the
                Configuration Tab
-EPSD100237399: Email alert from BMC for Fan Failure never sent
-EPSD100237604: Message .SDR Autoconfiguration has been disabled by an administrator.
                pops up after go to EWS/ SDR Configuration.
-EPSD100237619: BMC Web Console: Node Manager page has incorrectly implemented the
                time period on when the NM policy would take effect.
-none: Add CottonWood Pass platform support.
-none: Add ability to disable IPMI over LAN (RMCP/RMCP+ port 623) from cmd line or
                web page. Add RMCP as a service to the Control BMC Services cmd.
                Disable both UDP and TCP. Change "Login Security Settings" web page
                to "Security Settings" and add control of the three common network
                services (SSH, HTTP, RMCP) to it as new checkboxes.
-none: Addition to svn r4968. Fix the DCMICmds to allow 32-bit len responses,
                instead of 8-bit.
-none: Currently uboot only has warm reset, which means if you want WDT
-none: Help information about SOL is incorrect in EWS
-none: Increased the FSC power on delay to allow all the sensor to settle out
-none: Support Light Fault LED for 2U 2*2.5 HSBP.
-none: The SMBIOS version changes to version 2.7. Parse format mismatch.
-none: Tweek appearance of the new Security Settings web page per Marketing
                feedback.

00.10.5365

-EPSD100023989: Fix Issue: BMC WDT sensor should not be hard coded
-EPSD100024192, EPSD100024193: Fix Issue- EWS webpages blank with IPv6
-EPSD100024624: Fix Issue: Get MFG data and Capture MFG data should be MTM-2
-EPSD100024628: Fix Issue: Fix EWS image listing and extraction
-EPSD100024678, EPSD100236819, EPSD100236664: Fix DIMM thermal margin
                sensor malfunction.
-EPSD100024729, EPSD100024643, EPSD100236445: Fix where the LCP does not
                react correctly.  
-EPSD100024766: Fix [MIC-FW] FTF-IpmGlobal-Functions-GetSelfTestFunc is not stable
-EPSD100024803, EPSD100024913: Fix EWS-Web change Port not working
-EPSD100024818: Fix Defect - Fail to use OEM command to Set
                HDD Drive Fault LED State
-EPSD100024831: Changed the Blue ID and Green status LEDs to be blinking throughout
                the entire uboot execution context.
-EPSD100236458: Fix where GPIO registers not properly initialized at boot
-EPSD100236930: Added new socket types per SMBIOS 2.8.0.
-EPSD100237023: Fix where WebGo goes down during testing
-EPSD100237191: Fix where Help information about SOL is incorrect in EWS.
-EPSD100237207: Modify EWS Chinese string
-EPSD100237213: Fix Where the power supply fans were running when the system was
                in standby mode 
-EPSD100237268: Fix where BMC Web Console: Virtual Front Panel icons are just
                slits using IE 9 & IE 10
-IPS 6000012624: Fix Issue: The BMC remains in UBoot due to a bad CRC of the
                RamImage.
-none: Fixed BMC did not reset on kernel panic
-none: Fix Issue: Changed CPU DTS thermal margin sensor
-none: Fix Issue: DIMM thermal trip GPIOs were wrong 
-none: Fix Issue: stunnel4 script not stopping/restarting
-none: Fix Issue: When copying config files in build script do not preserve
        timestamp
-none: Grantley SPRD 4.6.7.5.1: As per the grantley security model, we need to
        lock AC cycle lock the RUBIX and keying region in RUBIX.
-none: Remove Port Forwarding
-none: Fix signal handling in threads to save info on fatal signal.
-none: The FSC module is notified that the init agent is going to run so that
        it can clear out its current fan and sensor configuration.

00.09.5310

-EPSD100024435: EWS shows P1 Thermal Margin and P1 Thermal Ctrl% sensors status "Unknow" and "Not Available"
-EPSD100236900: BIOS enters BIOS Recovery Mode unexpectedly
-EPSD100024646: Select LPC option on LCD - Last Post Code, it display "POST Complete", not display in hexadecimal
-EPSD100236925: Cannot execute IPMI command to ME in Windows, WinPE & RHEL6.4 on WCP
-EPSD100024698: After enabled LanFailover option then AC cycle system, all 3 LAN ports failed to get connection
-EPSD100236915: EWS displays insufficient detail for AutoCfg Status sensor events
-EPSD100236931: WCP EWS Shows wrong DIMM Mapping information
-EPSD100237088: BMC resets at Windows 2012 R2 start up after INI driver installed
-EPSD100237156: Sending set netmask command in uboot causes uboot to crash and restart
-EPSD100236443: The threshold, UC, could not be set via the set sensor threshold command, which disagrees with the SDR's settable mask
-EPSD100234568: The MIC card numbering is not consistent with riser slot numbering on server board

00.08.5254

-EPSD100236739: Block HD WDT does not generate a BMC Watchdog SEL entry, but it does reset BMC
-EPSD100024483: Failed to access HSBP1 temperature sensor (0x29), the reading/state of sensors is unavailable ...
-N/A: Included version 1.6 of HSBP firmware
-EPSD100236059: WCP-All of FAN0 don't spin
-EPSD100236933: Auto Configuration of Single PSU to Resundant Fails
-EPSD100236889: Beep code for no CPU has too long of gap between specific beeps
-EPSD100236920: AutoCfg Status sensor assertion does not result in degraded LED state.
-EPSD100023761: DIMM LED is highligh
-EPSD100236326: Some item pages show "undefined" in EWS with firefox Chinese browser
-EPSD100237025: KNC not recognized in WCP chassis

00.07.5220

-EPSD100236439: LCD FP during display of Post Code Complete press Center Button caused display stop working properly
-EPSD100023878, EPSD100024072: If enable LAN failover feature in EWS/via raw command, all NIC1,NIC2 & NIC3 lose connection at the same time.
-EPSD100236462: Hysteresis values have been initialized though they should not have been
-EPSD100236643: Get User name fail after set user name on Grantley BMC
-EPSD100024256, EPSD100024257: Failed to login EWS via LDAP server access
-EPSD100024174: System generates CPU MISSING status all the time but could boot into OS normally.
-EPSD100024179: Fail to get sensor reading of Processor 1 Thermal Margin due to sensor status is disable.
-EPSD100236326: Some item pages show "undefined" in EWS with firefox Chinese browser.
-EPSD100236826: Temporarily disable the HSBP checksum verification in auto-cfg
-EPSD100023876: Set/Get SM Signal Command failed to work on WCP system, response complete code is always C1
-EPSD100023882: Navigate EWS all web pages with HELP icon clicked, there are errors on "help" description display
-EPSD100024408: Sometimes the LCD display text is inappropriate.
-EPSD100024411: LCD CONF menu failed to find IPVer option, it should have the following Menus ^|IPVer|BL|RL|BDev|Ban.
-EPSD100236259: "nodw. parameter doesn.t work while do FW downgrade testing under CR6.0 Alpha3 build.
-EPSD100236300: Various spelling, grammar, syntax errors on various EWS pages
-EPSD100236312: WCP - EWS->Configuration->KVM&Media IE shows no default port values, but FF does
-EPSD100236382: Unable to logon as user 1 anonymous
-EPSD100236437: LCD FP display breakup when returning from previous sub level of menu
-EPSD100236439: LCD FP during display of Post Code Complete press Center Button caused display stop working properly
-EPSD100236445: LCD FP System name, model and Asset Tag show scrambled characters
-EPSD100236446: LCD FP display freezes the first 2 characters to the left during some scrolling overriding the up tick
-EPSD100236462: Hysteresis values have been initialized though they should not have been
-EPSD100236468: SEL: Add completed successfully when one Partial Add SEL entry should have overflowed
-EPSD100236650: [INTERNAL] BMC self test error on error manager
-EPSD100236859: BMC not handling critical temp event and not displaying correct system status LED
-(N/A): Updated 1100W Power Supply S2 firmware to 1.1.1D.
-(CCB189): Add PSOC FW support for WCP read HSBP (SGPIO decode) - PSOC FW rev 1.5

00.06.5170

-EPSD100236001: Black screen of Remote KVM when wake up from S1 in Win2012
-EPSD100236296: Cannot set link-local gateway for BMC Network Management Interface using IPv6.
-EPSD100236259: "nodw. parameter doesn.t work while do FW downgrade
-EPSD100236432: The watchdog is not decrementing within ten percent tolerance of 100 ms
-EPSD100023835, EPSD100024180: Setup VLAN on NIC1 then NIC1 lost connection even re-configure NIC1, have to re-flash BMC FW to recover NIC1 connection
-EPSD100236300: Various spelling, grammar, syntax errors on various EWS pages
-EPSD100236383: With account user privilege level User web page SDR Configuration shows "An unknown error has occurred"
-(N/A): Added 1100W Power Supply Firmare (S2 HW) 1.1.25 (or 1.1.19 hex).

00.05.5132

-EPSD100023992: Fail to download "System Debug Log" on EWS
-EPSD100024056: Fail to download "System Debug Log" on EWS
-EPSD100236336: [X] Web Console not defaulting to English when another non-English browser is detected
-EPSD100024051: Failed to boot/install OS (Windows 2012 R2 / RHEL 6.4) with BMC00.04.5107
-none:          I2C bus clock speed not getting set correctly for connection to ME
-none:          Read FRU Data IPMI command not working on HSBPs
-EPSD100023882: Navigate EWS all web pages with HELP icon clicked, there are errors on "help" description display

00.04.5107

EPSD100236055 - WCP Front Panel LEDs do not function properly
EPSD100235237 - EWC SEL text log not decoding BIOS update versions correctly

00.03.5060

First release supporting Grantley Platforms

===============================================================================
                            FEATURES ADDED
===============================================================================
01.48.10351:
-none: update PSoC to version 1.27

01.48.10259:
-none: update PSoC to version 1.26

01.47.10181:
-CCB 460: enable adoption of A1u2ULCP on WCP
-CCB 468: address the cipher suite zero vulnerability.
-none: update PSoC to version 1.25
-none: update SDR file for WCP thermal alert issue

01.45.9842:
-none: Update OpenSSL to latest version 1.0.2h to avoid OpenSSL vulnerability 
-CCB391: Add IPMI command to limit Maximum PWM Grantly code base
-CCB404: Grantley BMC FW provides support for KNL(Xeon Phi) PCIe card with CMD E8 (PCIe slot CMD) 

01.44.9785:
-CCB430: Cross Site Request Forgery (CSRF) prevention and Privilege Escalation Attack via EWS prevention

01.42.9617:
-CCB387: Support for TLSv1.2 using a 256 bit encryption key and make TLSv1.2 256 bit ciphers the default ones.

01.40.9455:
-CCB387(Part): Disable TLS ciphers using less than 128 bits of encryption.

01.38.9347:
-CCB320: Remove IHC from Romley BMC functionality
-none: Update CPLD image to 1.7
-none: Disable SSL support, support secure TLS session renegotiation only

01.36.9152：
-none: Update CPLD to Version 1.4
-none: Update PSU to S3 0.20
-none: Update PSoC to version 1.19

01.28.8586:
-CCB310: Implement Bad Password and Bad Username SEL logging and "Session Audit" system event to support ipmitool,ipmiutil and free ipmi.

01.25.8108:
-CCB310: Implement Bad Password and Bad Username SEL logging and "Session Audit" system event.

01.23.8033
-CCB291: 24HDD HSBP CPLD online update through BMC SMBUS.

01.22.7928:
-CCB 249: Grantley Halfwidth Node power readings.
-CCB 290: Need programmatic way to control LCP backlight.
-BDW Refresh: VCCIO settings need to change to refresh BDW processor.

01.21.7809
-none: Support Second Temperature Sensor on 12G NVMe SAS Bridge Board

01.19.
01.17.7464
-CCB 288: Improve SNMP traps to include more decoded information about the issue.

01.15.7272
-CCB 288: Improve SNMP traps to include more decoded information about the issue.
-CCB 278: system shutdown policy by environmental temp.
-CCB 273: BMC flow changes for Reset on CATERR.

01.14.7204
-CCB 266: SEL viewers need to interpret all SEL bytes and display appropriate text as per specifications.
-CCB 273: BMC flow changes for Reset on CATERR.
-CCB 195: Detect and log sub-system addtional information for advanced power failure-- add KennedyPass & TaylorPass GPIO.
-CCB 262: To detect if a baseboard is actually power down the BMC needs to look at  S3 or the CPU Power good signal instead of P/S power good.

01.13.7172

None

01.11.7046

None

01.07.6909

None

01.06.6835

None

01.03.6776

None

01.02.6745

None

01.00.6572

None

00.30.6524

None

00.29.6470

None

00.28.6456

None

00.27.6423

None

00.26.6377

None

00.25.6290

None

00.24.6269

None

00.23.6174

None

00.22.6105

None

00.21.6077

None

00.20.6013

-CCB 217: Implements US/EN re-branding of RMM to Dedicated Management NIC.
-CCB 217: NA

00.15.5714

-CCB228: From the Grantley SPRD section 4.1.1.5.11

00.14.5670

-CCB153: This is another part of svn 5263. Should also porting this code

00.13.5582

-N/A: Added OEM command to get the CPLD version
-N/A: Added OEM command to get Voltage source name for Voltage Fault sensor

00.12.5519

None

00.11.5471

None

00.10.5365

None

00.09.5310

None

00.08.5254

None

00.07.5220

None

00.06.5170

None.

00.05.5132

None.

00.04.5107

- Added support for 1100W Power Supply firmware update.
- Added Web interfacing to AutoConfig feature.

00.03.5060

First release supporting Grantley Platforms

===============================================================================
                             REFERENCE MATERIAL
===============================================================================
Common (integrated) BMC Firmware EAS
(integrated) BMC Firmware Common Core EPS
